# Using cliff

- Introduction
  - Command Plugins
  - Cliff Objects
- Exploring the Demo App
  - Setup
  - Usage
  - The Source
  - Command Extension Hooks
  - Autogenerated Documentation
- List Commands
  - Lister
  - List Output Formatters
- Show Commands
  - ShowOne
  - Show Output Formatters
- Command Completion
  - Usage
- Interactive Mode
  - Example
- Sphinx Integration
  - Usage
  - Examples

- CHANGES

this page last updated: 2026-02-20 17:00:00

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug